
%global meadversion 5.0.5
%global namedversion 5.0.5.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_without mead
%bcond_with javadoc

%{?scl:%scl_package jboss-ejb-client}
%{!?scl:%global pkg_name %{name}}

%define maven_version 5.0.5.Final-redhat-00001

Name:           %{?scl_prefix}jboss-ejb-client
Summary:        Client library for EJB applications working against JBoss AS
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: jboss-ejb-client-5.0.5.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-ejb-client-5.0.5.Final-redhat-00001-javadoc.jar
Source103: jboss-ejb-client-5.0.5.Final-redhat-00001.pom
Source104: jboss-ejb-client-5.0.5.Final-redhat-00001-sources.jar
Source105: jboss-ejb-client-5.0.5.Final-redhat-00001.jar
%endif

URL:            https://github.com/jbossas/jboss-ejb-client
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-ejb-client-%{namedversion}-%{release}-root

%description
Client library for EJB applications working against JBoss AS.

%if 0
%package jakarta
Summary:    JBoss EJB Client Jakarta
Group:          Development/Java


%description jakarta
Client library for Jakarta Enterprise Beans applications working against Wildfly.
%endif

%if %with javadoc
%package javadoc
Summary:   Javadoc for %{name}
Group:     Development/Documentation

BuildRequires:  unzip

%description javadoc
API documentation for %{name}.
%endif

%prep
%setup -q -n jboss-ejb-client-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-ejb-client-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-ejb-client-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jboss-ejb-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-ejb-client-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-ejb-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-ejb-client-%{namedversion}-javadoc.jar
%endif

%if 0
%{__cp} -p %{_sourcedir}/jboss-ejb-client-jakarta-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-ejb-client-jakarta-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jboss-ejb-client-jakarta-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-ejb-client-jakarta-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-ejb-client-jakarta-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-ejb-client-jakarta-%{namedversion}-javadoc.jar
%endif
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-ejb-client-%{namedversion}
%{__unzip} -qq %{_sourcedir}/jboss-ejb-client-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-ejb-client-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%{__ln_s} jboss-ejb-client-%{namedversion} %{buildroot}%{_javadocdir}/jboss-ejb-client

%if 0
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-ejb-client-jakarta-%{namedversion}
%{__unzip} -qq %{_sourcedir}/jboss-ejb-client-jakarta-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-ejb-client-jakarta-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%{__ln_s} jboss-ejb-client-jakarta-%{namedversion} %{buildroot}%{_javadocdir}/jboss-ejb-client-jakarta
%endif

%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-ejb-client
%defattr(0644,root,root,0755)
%{_javadir}/jboss-ejb-client-%{namedversion}.jar
%{_javadir}/jboss-ejb-client.jar

%if %with javadoc
%{_javadir}/jboss-ejb-client-%{namedversion}-javadoc.jar
%{_javadir}/jboss-ejb-client-javadoc.jar
%endif

%{_javadir}/jboss-ejb-client-%{namedversion}-sources.jar
%{_javadir}/jboss-ejb-client-sources.jar

%if 0
%files -n %{?scl_prefix}jboss-ejb-client-jakarta
%{_javadir}/jboss-ejb-client-jakarta-%{namedversion}.jar
%{_javadir}/jboss-ejb-client-jakarta.jar

%if %with javadoc
%{_javadir}/jboss-ejb-client-jakarta-%{namedversion}-javadoc.jar
%{_javadir}/jboss-ejb-client-jakarta-javadoc.jar
%endif

%{_javadir}/jboss-ejb-client-jakarta-%{namedversion}-sources.jar
%{_javadir}/jboss-ejb-client-jakarta-sources.jar
%endif

%if %with javadoc
%files javadoc
%{_javadocdir}/jboss-ejb-client-%{namedversion}
%{_javadocdir}/jboss-ejb-client

%{_javadocdir}/jboss-ejb-client-jakarta-%{namedversion}
%{_javadocdir}/jboss-ejb-client-jakarta

%endif

%changelog
* Thu Jun 22 2023 Permaine Cheung <pcheung@redhat.com> - 5.0.5-1.Final_redhat_00001.1
- 5.0.5.Final-redhat-00001

* Tue Apr 18 2023 cpaas-ops <cpaas-ops@redhat.com> - 5.0.4-1.Final_redhat_00001.1
- Built by CPaaS

* Mon Mar 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 5.0.3-1.Final_redhat_00001.1
- Built by CPaaS

